> For the complete documentation index, see [llms.txt](https://developer.myidentitypass.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.myidentitypass.com/products/data-verification/nigeria/drivers-license/frsc.md).

# Lookup Driver's License

{% hint style="info" %}
TEST DATA

number: AAD23208212298

dob: 1999-12-21
{% endhint %}

## Verify Drivers License

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v1/biometrics/merchant/data/verification/drivers_license`

This endpoint allows you to verify users drivers license details.

#### Query Parameters

| Name                                     | Type   | Description                   |
| ---------------------------------------- | ------ | ----------------------------- |
| dob                                      | string | Date of birth(e.g 1998-09-21) |
| number<mark style="color:red;">\*</mark> | string | FRSC Number                   |

#### Headers

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| x-api-key<mark style="color:red;">\*</mark> | string | \<your secret key> |
| app-id<mark style="color:red;">\*</mark>    | String | \<your app id>     |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": true,
    "detail": "DL Verification Successful",
    "response_code":"00",
    "frsc_data": {
        "licenseNo": "",
        "firstName": "",
        "lastName": "",
        "middleName": "",
        "gender": "",
        "issuedDate": "",
        "expiryDate": "",
        "stateOfIssue": "",
        "birthDate": "",
        "photo": "base64 encoded image"
    },
    "verification": {
        "status": "",
        "reference": ""
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/products/data-verification/nigeria/drivers-license/frsc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
